Audacious - OLD, PLEASE USE GITHUB DISCUSSIONS/ISSUES - Feature #826

Player/Playlist font Ul not available in Qt5
August 30, 2018 22:44 - Lukas Sabota

Status: Closed Start date: August 30, 2018
Priority: Minor Due date:

Assignee: % Done: 100%
Category: plugins/qtui Estimated time: 0.00 hour
Target version: 4.0

Affects version: 3.10

Description

When viewing the Appearance settings in the Qt5 version of audacious, the player/playlist fonts Ul is not visible. The fonts can be
changed through the config file, but not through the GUI.

In audacious-plugins/src/skins-gt/skins_cfg.cc there appears to be some boilerplate for the font Ul, but | didn't look much further yet.

This occurs in latest release (3.10) and latest git. I'd be happy to provide any additional information

History

#1 - August 31, 2018 17:22 - John Lindgren

- Tracker changed from Bug to Feature

This is not a bug, it is just not implemented yet. As stated in the release notes, the Qt Ul is still a work in progress.

#2 - September 05, 2018 01:03 - Lukas Sabota

| also wanted to point out that #audacious on freenode has been overrun with spam ever since | joined last month. Freenode has been dealing with a
lot of spam this year and a lot of channels have set "+R" (require nickserv auth to join) to prevent this problem.

| realize that #audacious isn't very active at the moment, but | imagine some users are /part'ing instead of idling because of the spam. Not sure who
has ops on freenode, but | wanted to let someone in the project know somehow

#3 - September 05, 2018 03:35 - John Lindgren

| apologize for the spam situation on the IRC channel. As you say, it is not very active currently. | have not logged in for a couple of years, | don't
think, but | did just now and set +r (apparently it's lowercase on Freenode).

#4 - September 27, 2018 16:02 - John Lindgren

- Category changed from core to plugins/qtui

#5 - December 02, 2019 20:31 - John Lindgren
- % Done changed from 0 to 100
- Target version set to 4.0

- Status changed from New to Closed

Implemented in:
https://github.com/audacious-media-player/audacious/commit/b25f6acec4ce962daadad66f485efe32a512ed8f
